norma-javascript
==================

Javascript Package for the Norma Build Tool

To use add the following to your norma.json:

```javascript
"tasks": {
  "javascript": {
    "src": "test/**/*",
    "dest": "out"
  }
}
```

The `src` variable is where your test files are located.

The `dest` variable is where you want your files to go

This package will compile coffeescript as well! So bring your `.coffee` files to the party!

#### Sprockets style includes

The norma-javascript supports sprocket style in file includes using the syntax from the awesome [gulp-include](https://www.npmjs.com/package/gulp-include) package. Follow their documentation to include files for Norma to combine.


#### Linting

Currently this package supports linting of coffeescript if any `.coffee` files are found. (This may move out into its own package)
